ActaTextInternal::Topic Struct Reference documentation

ActaTextInternal::Topic Struct Reference

Internal: a topic of a ActaText. More...

## Public Member Functions
| Topic ()
| constructor
bool | valid () const
| return true if the topic is valid

## Public Attributes
int | m_depth
| the node depth
int | m_type
| the node type: 1=text, 2=graphic
int | m_hidden
| the number of time a topic is hidden by its parents
bool | m_pageBreak
| true if a page break exists before the topic
MWAWFont | m_font
| the line font
MWAWColor | m_labelColor
| the label color
MWAWEntry | m_data
| the data entries(text or graphic)
MWAWEntry | m_fonts
| the fonts entries(for text)
MWAWEntry | m_auxi
| an auxialliary entry(unknown)
std::string | m_extra
| extra

## Friends
std::ostream & | operator<< (std::ostream &o, Topic const &topic)
| operator<<

## Detailed Description

Internal: a topic of a ActaText.

## Constructor & Destructor Documentation

## ◆ Topic()

ActaTextInternal::Topic::Topic | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ valid()

bool ActaTextInternal::Topic::valid | ( |  | ) | const
| inline

return true if the topic is valid

Referenced by ActaText::readTopic().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Topic const & | topic )
| friend

operator<<

## Member Data Documentation

## ◆ m_auxi

MWAWEntry ActaTextInternal::Topic::m_auxi

an auxialliary entry(unknown)

Referenced by ActaText::readTopic(), ActaText::sendTopic(), and Topic().

## ◆ m_data

MWAWEntry ActaTextInternal::Topic::m_data

the data entries(text or graphic)

Referenced by ActaText::readTopic(), ActaText::sendGraphic(), ActaText::sendText(), ActaText::sendTopic(), and Topic().

## ◆ m_depth

int ActaTextInternal::Topic::m_depth

the node depth

Referenced by operator<<, ActaText::readTopic(), ActaText::sendTopic(), Topic(), and valid().

## ◆ m_extra

std::string ActaTextInternal::Topic::m_extra

extra

Referenced by operator<<, ActaText::readTopic(), and Topic().

## ◆ m_font

MWAWFont ActaTextInternal::Topic::m_font

the line font

Referenced by ActaText::readTopic(), ActaText::sendTopic(), and Topic().

## ◆ m_fonts

MWAWEntry ActaTextInternal::Topic::m_fonts

the fonts entries(for text)

Referenced by ActaText::readTopic(), ActaText::sendText(), and Topic().

## ◆ m_hidden

int ActaTextInternal::Topic::m_hidden

the number of time a topic is hidden by its parents

Referenced by operator<<, ActaText::readTopic(), and Topic().

## ◆ m_labelColor

MWAWColor ActaTextInternal::Topic::m_labelColor

the label color

Referenced by operator<<, ActaText::readTopic(), and Topic().

## ◆ m_pageBreak

bool ActaTextInternal::Topic::m_pageBreak

true if a page break exists before the topic

Referenced by operator<<, ActaText::readTopic(), ActaText::sendTopic(), and Topic().

## ◆ m_type

int ActaTextInternal::Topic::m_type

the node type: 1=text, 2=graphic

Referenced by operator<<, ActaText::readTopic(), ActaText::sendTopic(), Topic(), and valid().

The documentation for this struct was generated from the following file:

- ActaText.cxx